bzr shouldn't use xmlrpc for anonymous lp: urls

Bug #813272 reported by Martin Pool on 2011-07-20
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Bazaar
Medium
Unassigned
Breezy
Medium
Jelmer Vernooij

Bug Description

In bug 397739, John fixed bzr not to use Launchpad xmlrpc to find the branch location before starting an SSH connection. However, we still do do this for anonymous http connection attempts.

It would be good to fix this because:
 * it would finally close a bunch of bugs about various failure modes for this, such as bug 602467, bug 281098, bug 497131
 * xmlrpc is a little slow to import
 * it removes an unnecessary failure source
 * doing the lookup take some time

This might need a change on Launchpad first, though <https://bugs.launchpad.net/bzr/+bug/397739/comments/24> mentions a way we might be able to do it only in bzr.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 7/20/2011 4:43 AM, Martin Pool wrote:
> Public bug reported:
>
> In bug 397739, John fixed bzr not to use Launchpad xmlrpc to find the
> branch location before starting an SSH connection. However, we still do
> do this for anonymous http connection attempts.
>
> It would be good to fix this because:
> * it would finally close a bunch of bugs about various failure modes for this, such as bug 602467, bug 281098, bug 497131
> * xmlrpc is a little slow to import
> * it removes an unnecessary failure source
> * doing the lookup take some time
>
> This might need a change on Launchpad first, though
> <https://bugs.launchpad.net/bzr/+bug/397739/comments/24> mentions a way
> we might be able to do it only in bzr.

The reason why we couldn't just turn it on is because
http://bazaar.launchpad.net/+branch/foo is supported by loggerhead, but
it doesn't allow you the access to the actual .bzr/branch * content,
because that is served by Apache.

John
=:->

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (Cygwin)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk4mkAYACgkQJdeBCYSNAAMnIACfVBnhUM1jsPS+zYa67a1nq5Zc
IDoAoM2+vn/5HF7avbcFa2amXFuxJDwt
=4wY+
-----END PGP SIGNATURE-----

Robert Collins (lifeless) wrote :

On Wed, Jul 20, 2011 at 8:21 PM, John A Meinel <email address hidden> wrote:
> The reason why we couldn't just turn it on is because
> http://bazaar.launchpad.net/+branch/foo is supported by loggerhead, but
> it doesn't allow you the access to the actual .bzr/branch * content,
> because that is served by Apache.

Why isn't it ? The branch mapper should still be mapping the url correctly...

-Rob

John A Meinel (jameinel) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 7/20/2011 12:33 PM, Robert Collins wrote:
> On Wed, Jul 20, 2011 at 8:21 PM, John A Meinel <email address hidden> wrote:
>> The reason why we couldn't just turn it on is because
>> http://bazaar.launchpad.net/+branch/foo is supported by loggerhead, but
>> it doesn't allow you the access to the actual .bzr/branch * content,
>> because that is served by Apache.
>
> Why isn't it ? The branch mapper should still be mapping the url
> correctly...
>
> -Rob
>

I don't know *why*, but you can try it today.
This works:
  http://bazaar.launchpad.net/+branch/bzr/changes
This does not:
  http://bazaar.launchpad.net/+branch/bzr/.bzr/branch-format

The first one gives me the loggerhead overview, and the "Bazaar Merge"
icon (highway sign). I get a 404 for the second one, and the Loggerhead
(loggerhead turtle) icon as my favicon.

John
=:->
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (Cygwin)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk4m2bYACgkQJdeBCYSNAAPjHwCgxZ1S7UzMTtFeQfkKBQJjcy8u
0EoAnis82oZ0KcmUIPQjq0f7pOLH/t8a
=/DkF
-----END PGP SIGNATURE-----

Jelmer Vernooij (jelmer) on 2017-11-09
tags: added: check-for-breezy
Jelmer Vernooij (jelmer) on 2019-01-17
tags: removed: check-for-breezy
Jelmer Vernooij (jelmer) on 2019-01-17
Changed in brz:
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Jelmer Vernooij (jelmer)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers